Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oasis.names.tc.dss._1_0.core.schema
Class SignaturePlacement

    java.lang.Object
      oasis.names.tc.dss._1_0.core.schema.SignaturePlacement

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2018-02-02T03:42:11+01:00",
               comments="JAXB RI v2.2.11")
    public class SignaturePlacement

extends Object
implements Serializable

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <choice>
             <element name="XPathAfter" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="XPathFirstChildOf" type="{http://www.w3.org/2001/XMLSchema}string"/>
           </choice>
           <attribute name="WhichDocument" type="{http://www.w3.org/2001/XMLSchema}IDREF" />
           <attribute name="CreateEnvelopedSignature" type="{http://www.w3.org/2001/XMLSchema}boolean" default="true" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`SignaturePlacement()`

Method Summary
`Object` | `getWhichDocument()` Gets the value of the whichDocument property.
`String` | `getXPathAfter()` Gets the value of the xPathAfter property.
`String` | `getXPathFirstChildOf()` Gets the value of the xPathFirstChildOf property.
`boolean` | `isCreateEnvelopedSignature()` Gets the value of the createEnvelopedSignature property.
`void` | `setCreateEnvelopedSignature(Boolean value)` Sets the value of the createEnvelopedSignature property.
`void` | `setWhichDocument(Object value)` Sets the value of the whichDocument property.
`void` | `setXPathAfter(String value)` Sets the value of the xPathAfter property.
`void` | `setXPathFirstChildOf(String value)` Sets the value of the xPathFirstChildOf property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SignaturePlacement

    public SignaturePlacement()

Method Detail

### getXPathFirstChildOf

    public String getXPathFirstChildOf()

  Gets the value of the xPathFirstChildOf property.

  Returns:
    possible object is `String`

### setXPathFirstChildOf

    public void setXPathFirstChildOf(String value)

  Sets the value of the xPathFirstChildOf property.

  Parameters:
    `value` - allowed object is `String`

### getXPathAfter

    public String getXPathAfter()

  Gets the value of the xPathAfter property.

  Returns:
    possible object is `String`

### setXPathAfter

    public void setXPathAfter(String value)

  Sets the value of the xPathAfter property.

  Parameters:
    `value` - allowed object is `String`

### getWhichDocument

    public Object getWhichDocument()

  Gets the value of the whichDocument property.

  Returns:
    possible object is `Object`

### setWhichDocument

    public void setWhichDocument(Object value)

  Sets the value of the whichDocument property.

  Parameters:
    `value` - allowed object is `Object`

### isCreateEnvelopedSignature

    public boolean isCreateEnvelopedSignature()

  Gets the value of the createEnvelopedSignature property.

  Returns:
    possible object is `Boolean`

### setCreateEnvelopedSignature

    public void setCreateEnvelopedSignature(Boolean value)

  Sets the value of the createEnvelopedSignature property.

  Parameters:
    `value` - allowed object is `Boolean`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.14.2 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.